get
https://api.connex.trade/api/v1/trading/sym/info
Query sym info.This endpoint requires authentication.
Permission
- Applies to both primary user and trading portfolio's API Key.
- Permission: READ.
Rate Limit
- 3 requests per 10 seconds
Request
| Name | Type | Mandatory | Description |
|---|---|---|---|
| sym | String | N | Trading pair unique identifier , example BINANCE_SPOT_BTC_USDT, BINANCE_PERP_BTC_USDT, BINANCE_MARGIN_BTC_USDT |
| exchange | String | N | exchange,example BINANCE, OKX |
| businessType | String | N | businessType,example SPOT, PERP, MARGIN |
Response
| Field name | Type | Remarks |
|---|---|---|
| sym | String | Trading pair unique identifier , example BINANCE_SPOT_BTC_USDT, BINANCE_PERP_BTC_USDT |
| state | String | State: live, suspend |
| pricePrecision | String | Price precision |
| qtyPrecision | String | Qty precision |
| minNotional | String | Min notional |
| maxLimitSize | String | Max limit size |
| lotSize | String | Lot size |
| tickSize | String | Tick size |
| maxNumOrders | String | Max number of open orders on this sym per portfolio |
| contractSize | String | Contract size |
| maxMarketSize | String | Max market value |
| minSize | String | Min Size for contract |
| originalSymbol | String | Original symbol in exchange for contract |
| defaultLeverage | String | Default leverage, default 1 |
| safeLeverage | String | Max leverage |
| liquidationFee | String | liquidation fee rate |
Note
Please refer to the supported symbol list to make sure the symbol is available in Connex platform. We are also syncing BINANCE pair list, to make sure all possible pair we can support. You can check with us if some pairs are available in BINANCE but not in Connex platform. We will get the detailed reason.
